<?php

namespace Ebuy\Sample\Repositories\Presenter;

use League\Fractal\TransformerAbstract;
use Hashids;

class SampleTransformer extends TransformerAbstract
{
    public function transform(\Ebuy\Sample\Models\Sample $sample)
    {
        return [
            'id'                => $sample->getRouteKey(),
            'key'               => [
                'public'    => $sample->getPublicKey(),
                'route'     => $sample->getRouteKey(),
            ], 
            'name'              => $sample->name,
            'description'       => $sample->description,
            'image'             => $sample->image,
            'slug'              => $sample->slug,
            'user_id'           => $sample->user_id,
            'check_me'          => $sample->check_me,
            'gender'            => $sample->gender,
            'country'           => $sample->country,
            'deleted_at'        => $sample->deleted_at,
            'user_type'         => $sample->user_type,
            'url'               => [
                'public'    => trans_url('sample/'.$sample->getPublicKey()),
                'user'      => guard_url('sample/sample/'.$sample->getRouteKey()),
            ], 
            'status'            => trans('app.'.$sample->status),
            'created_at'        => format_date($sample->created_at),
            'updated_at'        => format_date($sample->updated_at),
        ];
    }
}